<template>
  <div>
    <restaurant-header
      v-if="restaurant"
      :loading="loading"
      :restaurant="restaurant"
      :groupId="groupId"
    />

    <div :class="themeClasses" v-if="order && restaurant">
      <redeem-success-panel
        v-if="success"
        :restaurant="restaurant"
        @close="success = false"
      />

      <qr-code-panel
        v-if="qrcode"
        :restaurant="restaurant"
        :order="{ ...order, id: $route.params.orderId }"
        @close="qrcode = false"
      />

      <contact-panel
        v-if="contact"
        :order="contactContent"
        @close="() => closeContactPanel()"
        @success="() => closeContactPanel(true)"
      />

      <contact-success-panel
        v-if="contactSuccess"
        @close="contactSuccess = false"
      />

      <div class="container m-container-no-gutter">
        <div class="row justify-content-end">
          <div class="col-12 col-md-9">
            <div class="record-body">
              <div class="hello-message">
                <hello-member></hello-member>
              </div>

              <div class="record-detail">
                <div
                  class="order-header text-center py-3"
                  v-if="
                    order.OrderType === 'Delivery' &&
                      deliveryCheck.Status != deliveryStatus.cancel
                  "
                >
                  <div
                    class="delivering-title mb-2"
                    v-if="deliveryCheck.Status != deliveryStatus.done"
                  >
                    預估外送時間
                  </div>
                  <div
                    class="delivering-time"
                    v-if="
                      !!~[deliveryStatus.waiting].indexOf(
                        deliveryCheck.Status
                      ) || !deliveryCheck.DisplayMins
                    "
                  >
                    {{ cmonth }}{{ cdate }} {{ time }}
                  </div>
                  <div
                    class="delivering-time"
                    v-if="
                      !!~[
                        deliveryStatus.preparing,
                        deliveryStatus.delivering
                      ].indexOf(deliveryCheck.Status) &&
                        deliveryCheck.DisplayMins
                    "
                  >
                    {{ deliveryCheck.Mins }}分鐘
                  </div>
                  <img class="mb-4" :src="deliveringImage" alt="" />
                  <div class="delivering-desc">
                    {{ deliveryCopy[deliveryCheck.Status] }}
                  </div>
                </div>
                <div class="order-header">
                  <div class="order-status">
                    <time class="order-time">
                      <span class="order-time-month">{{ month }}</span>
                      <span class="order-time-date">{{ date }}</span>
                      <span class="order-time-day">{{ day }}</span>
                    </time>
                    <div class="order-info">
                      <div class="order-info-field">
                        <span class="order-info-field-label">{{
                          $t(`${orderI18nScope}.pickupTime`)
                        }}</span>
                        <span class="order-info-field-value">{{ time }}</span>
                      </div>
                      <div class="order-info-field">
                        <span class="order-info-field-label">{{
                          $t("preorderRecord.status")
                        }}</span>
                        <!-- <span
                          class="order-info-field-value order-status-value"
                          >{{ order.header.ProcessMsg }}</span
                        > -->
                        <span
                          class="order-info-field-value order-status-value"
                          v-if="order.OrderType === 'TakeOut'"
                          >{{
                            $t("preorderStatus." + order.header.ProcessMsg)
                          }}</span
                        >
                        <span
                          class="order-info-field-value order-status-value"
                          v-if="order.OrderType === 'Delivery'"
                          >{{ deliveryCheck.Desc }}</span
                        >
                      </div>
                      <div class="order-info-field">
                        <span class="order-info-field-label">{{
                          $t("preorderRecord.number")
                        }}</span>
                        <span class="order-info-field-value">{{
                          last6CharOrderId
                        }}</span>
                      </div>
                    </div>
                  </div>

                  <div class="order-qrcode">
                    <button
                      class="qrcode-button"
                      v-if="order.OrderType === 'TakeOut'"
                      :disabled="!order.header.haveQRPic"
                      @click="showQrcode"
                    >
                      <span class="qrcode-button-label">{{
                        $t("preorderRecord.pickupButton")
                      }}</span>
                    </button>
                    <ol class="order-qrcode-desc">
                      <li>
                        {{ order.header.Mark1 }}
                      </li>
                      <li>{{ order.header.Mark2 }}</li>
                    </ol>
                  </div>
                </div>

                <div class="order-dishes record-section">
                  <h3 class="record-section-title">
                    {{ $t("preorderRecord.orderDetail") }}
                  </h3>

                  <div class="dishes">
                    <div
                      class="dish flex-wrap"
                      v-for="product in order.products"
                      :key="product.id"
                    >
                      <div class="dish-info">
                        <span class="dish-count">{{
                          Number(product.quantity)
                        }}</span>
                        <h4 class="dish-name">{{ product.name }}</h4>
                        <span class="dish-value"
                          ><price :price="Number(product.price)"
                        /></span>
                      </div>
                      <div class="dish-break"></div>
                      <div class="dish-extra-container">
                        <div class="dish-extra">
                          <div>{{ productExtra(product) }}</div>
                        </div>
                      </div>
                      <div class="dish-note" v-if="product.notes">
                        {{ $t("preorderRecord.productNote")
                        }}{{ product.notes }}
                      </div>
                    </div>
                  </div>

                  <div class="order-account">
                    <div class="order-account-field">
                      <span class="order-account-field-label">{{
                        $t("preorderRecord.total", { count })
                      }}</span>
                      <span class="order-account-field-value"
                        ><price :price="Number(totalValue)"
                      /></span>
                    </div>
                    <div
                      class="order-account-field"
                      v-show="order.OrderType === 'Delivery'"
                    >
                      <span class="order-account-field-label">{{
                        $t("preorderRecord.shippingFee")
                      }}</span>
                      <span class="order-account-field-value"
                        ><price :price="Number(shippingFee)"
                      /></span>
                    </div>

                    <!-- <div
                      class="order-account-field"
                      v-if="order.payment.skm_points"
                    >
                      <span class="order-account-field-label">{{
                        $t("preorderRecord.points")
                      }}</span>
                      <span class="order-account-field-value"
                        >-<price :price="Number(order.payment.skm_points)"
                      /></span>
                    </div> -->
                  </div>

                  <div class="order-value">
                    <span class="order-value-label">{{
                      $t("preorderRecord.totalAmount")
                    }}</span>
                    <span class="order-value-value"
                      ><price :price="Number(totalValue + shippingFee)"
                    /></span>
                  </div>
                </div>

                <div class="order-notes record-section" v-if="order.notes">
                  <h3 class="record-section-title">
                    {{ $t("preorderRecord.note") }}
                  </h3>
                  <div class="record-note">{{ order.notes }}</div>
                </div>

                <div class="order-payment record-section" v-if="invoice">
                  <div class="payment-field">
                    <div class="payment-field-label">
                      {{ $t(`${orderI18nScope}.createdTime`) }}
                    </div>
                    <div class="payment-field-value">
                      {{ `${reservationTime.format("YYYY/MM/DD")} ${time}` }}
                    </div>
                  </div>
                  <div class="payment-field" v-if="invoice.CustomerName">
                    <div class="payment-field-label">
                      {{ $t("preorderRecord.customerName") }}
                    </div>
                    <div class="payment-field-value">
                      {{ invoice.CustomerName }}
                    </div>
                  </div>
                  <div class="payment-field" v-if="invoice.CusPhone">
                    <div class="payment-field-label">
                      {{ $t("preorderRecord.customerPhone") }}
                    </div>
                    <div class="payment-field-value">
                      {{ invoice.CusPhone }}
                    </div>
                  </div>
                  <div class="payment-field" v-if="invoice.CusEmail">
                    <div class="payment-field-label">
                      {{ $t("preorderRecord.customerEmail") }}
                    </div>
                    <div class="payment-field-value">
                      {{ invoice.CusEmail }}
                    </div>
                  </div>
                  <!--
                  <div class="payment-field">
                    <div class="payment-field-label">發票資訊</div>
                    <div class="payment-field-value">電子發票證明聯紙本</div>
                  </div>
                  -->
                  <div class="payment-field" v-if="invoice.InvoiceNameber">
                    <div class="payment-field-label">
                      {{ $t("preorderRecord.invoiceNumber") }}
                    </div>
                    <div class="payment-field-value">
                      {{ invoice.InvoiceNameber }}
                    </div>
                  </div>
                  <div class="payment-field" v-if="invoice.InvoiceNameber">
                    <div class="payment-field-label">
                      {{ $t("preorderRecord.invoiceDonation") }}
                    </div>
                    <div class="payment-field-value">
                      {{ invoice.Donation }}
                    </div>
                  </div>
                  <!-- <div class="payment-field" v-if="invoice.CusAddress">
                    <div class="payment-field-label">
                      {{ $t("preorderRecord.invoiceAddress") }}
                    </div>
                    <div class="payment-field-value">
                      {{ invoice.CusAddress }}
                    </div>
                  </div> -->
                  <div class="payment-field" v-if="invoice.CompanyName">
                    <div class="payment-field-label">
                      {{ $t("preorderRecord.companyName") }}
                    </div>
                    <div class="payment-field-value">
                      {{ invoice.CompanyName }}
                    </div>
                  </div>
                  <div class="payment-field" v-if="invoice.CompanyVat">
                    <div class="payment-field-label">
                      {{ $t("preorderRecord.taxIdNumber") }}
                    </div>
                    <div class="payment-field-value">
                      {{ invoice.CompanyVat }}
                    </div>
                  </div>
                  <div
                    class="payment-field"
                    v-if="order.header.DeliveryAddress"
                  >
                    <div class="payment-field-label">
                      {{ $t("preorderRecord.deliveryAddress") }}
                    </div>
                    <div class="payment-field-value">
                      {{ order.header.DeliveryAddress }}
                    </div>
                  </div>
                </div>

                <div class="actions">
                  <button
                    class="action cancel-action"
                    @click="deleteOrder"
                    v-if="order.header.CancelButton"
                  >
                    {{ $t("preorderRecord.cancel") }}
                  </button>
                  <button class="action contact-action" @click="contact = true">
                    {{ $t("preorderRecord.contact") }}
                  </button>
                  <router-link
                    :to="{ name: 'PreorderRecords' }"
                    class="action back-action"
                    >{{ $t("preorderRecord.back") }}</router-link
                  >
                </div>

                <div class="preorder-desc">
                  {{ $t("preorderRecord.desc") }}
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import moment from "moment";
// import firebase from "firebase";
import * as Api from "@/api";
import Price from "../components/Price";
import { mapState, mapGetters } from "vuex";
import Status from "../components/Preorder/Status";
import HelloMember from "@/components/HelloMember";
import QRCodePanel from "@/components/Preorder/QRCodePanel";
import ContactPanel from "@/components/Preorder/ContactPanel";
import RestaurantHeader from "@/components/Restaurant/Header";
import RedeemSuccessPanel from "@/components/Preorder/RedeemSuccessPanel";
import ContactSuccessPanel from "@/components/Preorder/ContactSuccessPanel";
import * as preorder from "@/models/preorder";
import { last6Char } from "@/utils";

export default {
  data() {
    const deliveryStatus = {
      waiting: 1,
      preparing: 2,
      delivering: 3,
      done: 4,
      cancel: 5
    };
    return {
      loading: false,
      qrcode: false,
      contact: false,
      contactSuccess: false,
      order: null,
      invoice: null,
      success: false,
      checkOrderStatus: null,
      deliveryStatus,
      deliveryCopy: {
        [deliveryStatus.waiting]: "收到您的預約訂單",
        [deliveryStatus.preparing]: "餐點準備中",
        [deliveryStatus.delivering]: "餐點運送中",
        [deliveryStatus.done]: "請享用餐點",
        [deliveryStatus.cancel]: ""
      },
      deliveryCheck: {},
      orderIntervalInstance: () => {},
      orderTimeIntervalInstance: () => {}
    };
  },

  components: {
    Price,
    Status,
    HelloMember,
    ContactPanel,
    RestaurantHeader,
    RedeemSuccessPanel,
    ContactSuccessPanel,
    "qr-code-panel": QRCodePanel
  },

  watch: {
    account() {
      if (this.account && this.account.id) {
        this.loadOrder();
      }
    }
  },

  computed: {
    ...mapState("account", ["account"]),
    ...mapState(["locale"]),
    ...mapState("restaurant", ["restaurant"]),
    ...mapGetters("theme", ["themeClasses"]),

    groupId() {
      return this.order ? this.order.CompanyContent.GroupId : null;
    },

    preorderStatus() {
      return preorder;
    },

    photoStyle() {
      const record = this.order;
      return {
        "background-image": `url(${record.CompanyContent.CompanyLogo})`,
        "background-color": ""
        // record.partnerInfo.restaurant.webBannerBackgroundColor
      };
    },
    orderI18nScope() {
      return this.order.OrderType === "TakeOut"
        ? "preorderRecord"
        : "deliveryRecord";
    },
    deliveringImage() {
      const deliveringImage = {
        1: "order.png",
        2: "cook.png",
        3: "bike.png",
        4: "final.png"
      };
      return `/static/images/delivery/${
        deliveringImage[this.deliveryCheck.Status]
      }`;
    },
    last6CharOrderId() {
      return last6Char(this.$route.params.orderId);
    },

    reservationTime() {
      return moment(this.order.header.DateContent);
    },

    cmonth() {
      return this.reservationTime.format("MMM");
    },
    month() {
      return this.reservationTime.format("MMMM");
    },
    cdate() {
      return this.reservationTime.format("Do");
    },

    date() {
      return this.reservationTime.format("DD");
    },

    day() {
      return this.reservationTime.format("dddd");
    },

    time() {
      const today = moment();
      const reservationTime = moment(this.order.header.DateContent);
      const todayText =
        reservationTime.format("YYYY/MM/DD") === today.format("YYYY/MM/DD")
          ? " (今日)"
          : "";
      return `${moment(this.order.header.TimeContent, "HH:m").format(
        "HH:mm"
      )}${todayText}`;
    },

    count() {
      return this.order.products.reduce(
        (total, item) => (total += item.quantity),
        0
      );
    },

    totalValue() {
      return this.order.products.reduce(
        (total, item) => (total += item.price),
        0
      );
    },

    totalValueWithDiscount() {
      return this.totalValue;
    },

    shippingFee() {
      return this.order.CompanyContent.deliveryFee || 0;
    },

    contactContent() {
      return {
        RestaurantName: this.order.CompanyContent.CompanyName,
        OrderId: this.$route.params.orderId,
        EsDeliveryTime: moment(
          `${this.order.header.DateContent} ${this.order.header.TimeContent}`,
          "YYYY-MM-DD HH:m"
        ).format("YYYY/MM/DD HH:mm"),
        OrderStauts: this.order.header.ProcessMsg
      };
    }
  },

  methods: {
    fetchRestaurant() {
      this.loading = true;
      const groupId = this.groupId;
      const companyId = this.order.CompanyContent.CompanyId;
      const id = this.order.CompanyContent.BranchId;
      return this.$store
        .dispatch("restaurant/fetchRestaurant", {
          groupId,
          companyId,
          id,
          params: { language: this.locale }
        })
        .then(() => {
          this.loading = false;
        });
    },

    closeContactPanel(success) {
      this.contact = false;
      this.contactSuccess = Boolean(success);
    },

    productExtra(product) {
      return product.extras
        .reduce((restructure, { items }) => {
          const destruct = items.map(item => item.name);
          return [...restructure, ...destruct];
        }, [])
        .join("、");
    },

    deleteOrder() {
      if (confirm(this.$t("preorderRecords.cancelConfirm"))) {
        this.trackCancel();
        this.order.status = preorder.STATUS_CANCELED_BY_RESTAURANT;
        Api.Order.deleteOrder(this.$route.params.orderId, this.account).then(
          res => {
            if (res.data.StatusCode === 0) {
              alert(this.$t("preorderRecords.cancelError"));
            } else {
              alert(this.$t("preorderRecords.cancelSuccess"));
              this.order.header.CancelButton = false;
            }
          }
        );
      }
    },

    loadOrder() {
      this.loading = true;
      const orderId = this.$route.params.orderId;
      Api.Order.getOrder(orderId, this.account.id).then(data => {
        this.loading = false;
        this.order = data;
        let JamesDate = this.order.header.DateContent.split("/");
        JamesDate[1] =
          JamesDate[1].length == 1 ? `0${JamesDate[1]}` : JamesDate[1];
        JamesDate[2] =
          JamesDate[2].length == 1 ? `0${JamesDate[2]}` : JamesDate[2];
        this.order.header.DateContent = JamesDate.join("-");
        this.invoice = data.InvoiceContent;

        this.orderTimeInterval(this.order.header.OrderTime);
        this.funnyInterval();
        this.fetchRestaurant();
      });
    },

    async funnyInterval() {
      const repeatTime =
        process.env.VUE_APP_ENV === "development" ? 10000 : 300000;
      if (this.order.OrderType === "Delivery") {
        await this.checkDeliveryOrderStatus();
        this.orderIntervalInstance = setInterval(() => {
          this.checkDeliveryOrderStatus();
        }, repeatTime);
      } else if (this.order.OrderType === "TakeOut") {
        this.orderIntervalInstance = setInterval(() => {
          Api.Order.checkOrderStatus(
            this.$route.params.orderId,
            this.account.id
          ).then(data => {
            this.checkOrderStatus = data.MemberTakeOut;

            if (this.checkOrderStatus) {
              this.success = true;
              this.qrcode = false;
              this.trackSucceed();
              clearInterval(this.orderIntervalInstance);
            }
          });
        }, 10000);
      }
    },

    orderTimeInterval(orderTime) {
      // 輪詢檢查訂單時間不超過訂單成立時間5分鐘
      this.orderTimeIntervalInstance = setInterval(() => {
        const isOrderPassed = this.checkOrderTime(orderTime);
        if (isOrderPassed) {
          clearInterval(this.orderTimeIntervalInstance);
        }
      }, 1000);
    },

    async checkDeliveryOrderStatus() {
      await Api.Order.checkOrderStatus(
        this.$route.params.orderId,
        this.account.id
      ).then(data => {
        this.deliveryCheck = { ...data };
        this.order.header.CancelButton = this.deliveryCheck.CancelButton;
      });
    },

    checkOrderTime(orderTime) {
      // 訂單結束時間(5分鐘)
      const orderEndTime = moment(orderTime).add(5, "m");
      const nowTime = moment();
      const isOrderProcessing = nowTime.isSameOrBefore(orderEndTime);
      this.order.header.CancelButton = isOrderProcessing;
      return !isOrderProcessing;
    },

    showQrcode() {
      this.qrcode = true;
      this.trackQrcode();
    },

    trackCancel() {
      window.gtag("event", `Pre-order process - cancel`, {
        event_label: JSON.stringify({
          ...(this.restaurant && this.restaurant.dataForMixpanel
            ? this.restaurant.dataForMixpanel
            : {}),
          orderId: this.$route.params.orderId
        })
      });
    },

    trackQrcode() {
      window.gtag("event", `Pick-up process - start`, {
        event_label: JSON.stringify({
          ...(this.restaurant && this.restaurant.dataForMixpanel
            ? this.restaurant.dataForMixpanel
            : {}),
          orderId: this.$route.params.orderId
        })
      });
    },

    trackSucceed() {
      window.gtag("event", `Pick-up process - succeed`, {
        event_label: JSON.stringify({
          ...(this.restaurant && this.restaurant.dataForMixpanel
            ? this.restaurant.dataForMixpanel
            : {}),
          orderId: this.$route.params.orderId
        })
      });
    }
  },

  mounted() {
    if (this.account && this.account.id) {
      this.loadOrder();
    }
  },

  destroyed() {
    clearInterval(this.orderIntervalInstance);
  }
};
</script>

<style lang="scss" scoped>
.record-body {
  margin: 0 auto;
  padding: 0 20px;

  @include media-breakpoint-up(lg) {
    padding: 0;
  }
}

.record-detail {
  @include media-breakpoint-up(lg) {
    position: relative;
    padding-right: 380px;
  }
}

.hello-message {
  margin: 20px 0 20px 0;
}

.order-header {
  border: 1px $color-sky-grey solid;
  background: $color-white;
  border-radius: 4px;
  margin-bottom: 10px;
}

.order-status {
  position: relative;
  display: flex;
  line-height: 54px;
  border-bottom: 1px $color-sky-grey dashed;
  padding: 20px 15px 14px;

  &::after,
  &::before {
    position: absolute;
    bottom: -8px;
    content: "";
    width: 14px;
    height: 14px;
    border-radius: 50%;
    border: 1px $color-sky-grey solid;
    background: $color-genesis-white;
  }

  &::after {
    left: -7px;
    border-left: none;
    border-top: none;
  }

  &::before {
    right: -7px;
    border-right: none;
    border-bottom: none;
  }
}

.order-time {
  flex-grow: 0;
  flex-shrink: 0;
  width: 82px;
  height: 82px;
  border-radius: 16px;
  background: $color-white;
  box-shadow: 0 2px 8px 0 rgba(0, 0, 0, 0.1);
  text-align: center;
  box-sizing: border-box;
  padding: 5px;
}

.order-time-month {
  display: block;
  font-size: 12px;
  font-weight: 500;
  color: $color-skm-red;
  line-height: 17px;
}
.delivering-time {
  font-size: 26px;
  font-weight: 600;
}
.order-time-date {
  display: block;
  font-size: 32px;
  font-weight: 600;
  color: $color-primary-black;
  line-height: 38px;
}

.order-time-day {
  display: block;
  font-size: 12px;
  font-weight: 500;
  color: $color-primary-black;
  line-height: 17px;
}

.order-info {
  width: 100%;
  margin-left: 15px;
  font-size: 14px;
  font-weight: 500;
}

.order-info-field {
  display: flex;
  line-height: 24px;
  margin-bottom: 6px;
}

.order-info-field-label,
.order-info-field-value {
  flex: 1 1 50%;
}

.order-info-field-value {
  text-align: right;
}

.order-status-value {
  color: $color-dodger-blue;
}

.order-qrcode {
  padding: 20px 15px;
}

.qrcode-button-label {
  display: inline-block;
  vertical-align: middle;
}

.qrcode-button {
  display: block;
  margin: 0 auto 10px;
  width: 255px;
  line-height: 48px;
  padding: 0;
  border: none;
  border-radius: 2px;
  background-color: $color-skm-red;
  color: $color-white;
  font-size: 16px;
  font-weight: normal;
  cursor: pointer;

  &::before {
    content: "";
    display: inline-block;
    width: 22px;
    height: 22px;
    background-image: url("/static/images/ic-qrcode.png");
    background-size: 22px 22px;
    vertical-align: middle;
    margin-right: 20px;
  }

  &:disabled {
    cursor: default;
    background-color: #cad1dd;
  }
}

.order-qrcode-desc {
  font-size: 13px;
  color: $color-primary-grey;
  margin: 0;
  padding: 12px 40px 0;

  li {
    padding-left: 1.2em;
    margin-bottom: 1em;
  }
}

.record-section {
  border: 1px $color-sky-grey solid;
  background: $color-white;
  margin-bottom: 10px;
  border-radius: 4px;
  padding: 15px;
}

.record-section-title {
  font-size: 13px;
  font-weight: normal;
  color: $color-secondary-black;
}

.dish {
  position: relative;
  padding: 8px 0;
  display: flex;
}

.dish-info {
  // padding-left: 8px;
  display: flex;
  width: 100%;
}

.dish-name {
  padding-left: 8px;
  flex: 1 1 80%;
  font-size: 14px;
  font-weight: 500;
  margin: 0;
  line-height: 24px;

  @include media-breakpoint-up(lg) {
    font-weight: normal;
  }
}

.dish-value {
  flex: 1 1 20%;
  font-size: 13px;
  line-height: 24px;
  color: $color-secondary-black;
  text-align: right;
  margin-left: 4px;
}

.dish-count {
  width: auto;
  height: 20px;
  padding: 0 6px;
  line-height: 20px;
  color: $color-skm-red;
  background: $color-mineral-ice;
  border-radius: 2px;
  font-size: 13px;
  font-weight: 500;

  @include media-breakpoint-up(lg) {
    background: $color-skm-red;
    color: $color-white;
  }
}

.dish-extra {
  // display: flex;
  // width: 100%;
  // justify-content: space-between;
  &-container {
    display: flex;
    padding-left: 27px;
  }

  font-size: 12px;
  color: $color-primary-grey;
  // margin: 4px 0 8px;
  // padding-left: 27px;
  &:first-child {
    > div {
      &::before {
        display: none;
      }
    }
  }
  > div {
    &::before {
      content: "、";
    }
  }
}

.dish-break {
  flex-basis: 100%;
  height: 0;
}

.dish-note {
  width: 100%;
  font-size: 12px;
  color: $color-pigeon-grey;
  padding-left: 27px;
}

.dishes {
  border-bottom: 1px $color-sky-grey solid;
}

.order-account {
  border-bottom: 1px $color-sky-grey solid;
}

.order-account-field {
  display: flex;
  line-height: 20px;
  margin: 10px 0;
  color: $color-secondary-black;
  font-size: 13px;
}

.order-account-field-label,
.order-account-field-value {
  flex: 1 1 50%;
}

.order-account-field-value {
  text-align: right;
}

.order-value {
  display: flex;
  margin-top: 10px;
  font-size: 16px;
  font-weight: 600;
}

.order-value-label,
.order-value-value {
  flex: 1 1 50%;
}

.order-value-value {
  text-align: right;
}

.record-note {
  font-size: 14px;
}

.order-payment {
  font-size: 13px;
  color: $color-secondary-black;
}

.payment-field {
  display: flex;
  line-height: 20px;
  margin-bottom: 10px;
  color: $color-secondary-black;
}

.payment-field-value {
  flex: 1 1 70%;
}

.payment-field-label {
  flex: 1 1 30%;
}

.payment-field-value {
  text-align: right;
}

.actions {
  margin-top: 20px;
  margin-bottom: 20px;
}

.action {
  display: block;
  width: 255px;
  line-height: 48px;
  margin: 10px auto 0;
  padding: 0;
  border: none;
  border-radius: 2px;
  background: transparent;
  font-size: 16px;
  font-weight: normal;
  text-align: center;
  cursor: pointer;
}

.cancel-action {
  border: solid 1px $color-skm-red;
  color: $color-skm-red;
}

.contact-action {
  background: $color-skm-red;
  color: $color-white;
}

.back-action {
  background: $color-pigeon-grey;
  color: $color-white;
}

.preorder-desc {
  font-size: 13px;
  color: $color-primary-grey;
  margin-bottom: 40px;
  text-align: center;
}

.order-dishes {
  @include media-breakpoint-up(lg) {
    position: absolute;
    right: 0;
    top: 0;
    width: 350px;
  }

  .record-section-title {
    font-size: 16px;
    text-align: center;
    color: $color-primary-black;
    font-weight: 500;
    margin: 10px 0 15px;
  }
}

.theme-vip-member {
  .order-status {
    &::after,
    &::before {
      background: $color-gold-100;
    }
  }
}
</style>
